Vendors
Reset vendor password
Reset the password for a vendor account. The new password is required and cannot be empty.
POST
/
vendors
/
{vendorId}
/
reset-password
Reset vendor password
curl --request POST \
--url https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/reset-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newPassword": "newSecurePassword123"
}
'import requests
url = "https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/reset-password"
payload = { "newPassword": "newSecurePassword123" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({newPassword: 'newSecurePassword123'})
};
fetch('https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/reset-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": "Password reset successfully"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Path Parameters
Vendor ID
Body
application/json
The new password for the vendor account
⌘I
Reset vendor password

